# Configuration file

##########################################################################################################
# biomes
#--------------------------------------------------------------------------------------------------------#
# Biomes and effects
##########################################################################################################

biomes {
    # Eerie biome id
    I:biome_eerie=194

    # Eldritch Lands biome id
    I:biome_eldritch=195

    # Magical Forest biome id
    I:biome_magical_forest=193

    # Taint biome id
    I:biome_taint=192

    # higher values increases number of magical forest biomes. If you are using biome addon mods you probably want to increase this weight quite a bit
    I:magical_forest_biome_weight=5
    I:outer_lands_dim=-42

    # higher values increases number of taint biomes. If you are using biome addon mods you probably want to increase this weight quite a bit
    I:taint_biome_weight=2
}


##########################################################################################################
# enchantments
#--------------------------------------------------------------------------------------------------------#
# Custom enchantments
##########################################################################################################

enchantments {
    I:ench_haste=150
    I:ench_repair=151
}


general {
    # Enables a version of the Thauminomicon in creative mode that grants you all the research when you first use it.
    B:allow_cheat_sheet=false

    # Setting this to false will disable arcane mirror research and crafting recipes.
    B:allow_mirrors=true

    # If set to false, warded stone, doors and glass will just be cosmetic in nature and not have its hardened properties (everyone will be able to break it with equal ease).
    B:allow_warded_stone=true

    # Can Taint be caused by flux effects.
    B:biome_taint_from_flux=false

    # The chance per block update (1 in n) of the Taint biome spreading. Setting it to 0 prevents the spread of Taint biomes.
    I:biome_taint_spread=0

    # Set this to true to get the old blue magical forest back.
    B:blue_magical_forest=false

    # Setting this to true will make certain colors higher contrast or darker to prevent them from being 'invisible' to color blind people.
    B:color_blind=false

    # Hate crooked labels, kittens, puppies and all things awesome? If yes, set this to false.
    B:crooked=true

    # Item aspects are hidden by default and pressing shift reveals them. Changing this setting to 'true' will reverse this behaviour and always display aspects unless shift is pressed.
    B:display_aspects=false

    # Setting this to false will remove the glowing purple nodules from taint fibres. This might prevent crashes some people experience and improve performance.
    B:glowing_taint=false

    # If set to true golems will attempt to play the chest opening animations and sounds whenever they interact with them.
    B:golem_chest_interact=true

    # How many ticks a golem waits between checking for tasks. Setting it higher will save server ticks, but will make the golems slower to react.
    I:golem_delay=5

    # How many milliseconds a golem will ignore an item after it has failed to find a destination or use for it. Min value 1000
    I:golem_ignore_delay=3000

    # The fx quality of the line connecting golems to marked blocks. Setting this below 4 deactives the effect entirely.
    I:golem_link_quality=10

    # Negative nodes like hungry, tainted or dark nodes will have additional, much nastier, effects.
    B:hard_mode_nodes=true

    # How rare nodes are in the world. The number means there will be (on average) one node per N chunks.
    I:node_rarity=20

    # Determines how fast notifications scroll downwards.
    I:notification_delay=5000

    # The maximum amount of notifications that are displayed onscreen.
    I:notification_max=5

    # This is a comma-delimited list of any block names the portable hole is not allowed to pass through.
    S:portablehole_blacklist=iron_door

    # This setting will disable certain thaumcraft shaders for those who experience FPS drops.
    B:shaders=true

    # The chance of a node being special (pure, dark, unstable, etc.). The number means roughly 1 in N nodes will be special, so setting the number to 5 will mean 1 in 5 nodes may be special.
    I:special_node_rarity=15

    # Thaumcraft banker villager id
    I:thaumcraft_banker_id=191

    # Thaumcraft wizard villager id
    I:thaumcraft_villager_id=190

    # Set to true to have the wand dial display in the bottom left instead of the top left.
    B:wand_dial_bottom=false

    # Setting this to true disables Warp and similar mechanics. You wuss.
    B:wuss_mode=false
}


##########################################################################################################
# monster_spawning
#--------------------------------------------------------------------------------------------------------#
# Will these mobs spawn
##########################################################################################################

monster_spawning {
    # Setting this to false will disable spawning champion mobs. Even when false they will still have a greatly reduced chance of spawning in certain dangerous places.
    B:champion_mobs=true
    B:spawn_angry_zombies=true
    B:spawn_eldercreatures=true
    B:spawn_fire_bats=true
    B:spawn_pechs=true
    B:spawn_taint_spores=true
    B:spawn_taintacles=true
    B:spawn_wisps=true
}


##########################################################################################################
# research
#--------------------------------------------------------------------------------------------------------#
# Various research related things.
##########################################################################################################

research {
    # The total amount of RP you can have in your pool per aspect before the scanning soft cap kicks in.
    I:aspect_total_cap=100

    # 0 = normal, -1 = easy (all research items are directly purchased with RP), 1 = Hard (all research items need to be solved via the research table)
    I:research_difficulty=0
}


##########################################################################################################
# runic_shielding
#--------------------------------------------------------------------------------------------------------#
# Runic Shielding
##########################################################################################################

runic_shielding {
    # How much aer and terra centi-vis (0.01 vis) it costs to reacharge a single unit of shielding. Minimum of 0.
    I:runic_cost=50

    # How many game ticks pass after a shield has been reduced to zero before it can start recharging again. Minimum of 0.
    I:runic_recharge_delay=80

    # How many milliseconds pass between runic shielding recharge ticks. Lower values equals faster recharge. Minimum of 500.
    I:runic_recharge_speed=2000
}


##########################################################################################################
# world_generation
#--------------------------------------------------------------------------------------------------------#
# Settings to turn certain world-gen on or off.
##########################################################################################################

world_generation {
    B:generate_amber_ore=true
    B:generate_aura_nodes=true
    B:generate_cinnibar_ore=true
    B:generate_infused_stone=true
    B:generate_structures=true

    # Can taint biomes generate at worldgen
    B:generate_taint=true
    B:generate_trees=true
}


##########################################################################################################
# world_regeneration
#--------------------------------------------------------------------------------------------------------#
# If a chunk is encountered that skipped TC worldgen, then the game will attempt to regenerate certain world features if they are set to true. CAUTION: Best used for worlds created before you added this mod, and only if you know what you are doing. Backups are advised.
##########################################################################################################

world_regeneration {
    B:amber_ore=false
    B:aura_nodes=false
    B:cinnibar_ore=false
    B:infused_stone=false

    # This key is used to keep track of which chunk have been generated/regenerated. Changing it will cause the regeneration code to run again, so only change it if you want it to happen. Useful to regen only one world feature at a time.
    S:regen_key=DEFAULT
    B:structures=false
    B:taint=false
    B:trees=false
}


